### Virtual Method

# Atk Object set_name

#### Declaration [src]

    void
    set_name (
      AtkObject* accessible,
      const gchar* name
    )

#### Description [src]

Sets the accessible name of the accessible. You can’t set the name to NULL. This is reserved for the initial value. In this aspect NULL is similar to ATK_ROLE_UNKNOWN. If you want to set the name to a empty value you can use “”.

#### Parameters

`name`

  Type: `const gchar*`

  A character string to be set as the accessible name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.